org.mariadb.jdbc.internal.queryresults

## Class StreamingSelectResult

- java.lang.Object
- - org.mariadb.jdbc.internal.queryresults.AbstractQueryResult
  - - org.mariadb.jdbc.internal.queryresults.SelectQueryResult
    - - org.mariadb.jdbc.internal.queryresults.StreamingSelectResult

    public class StreamingSelectResult
    extends SelectQueryResult

### Field Summary

Fields
`ValueObject[]` `values`

### Fields inherited from class org.mariadb.jdbc.internal.queryresults.AbstractQueryResult

`isClosed`

### Constructor Summary

Constructors
Constructor and Description
`StreamingSelectResult(ColumnInformation[] info, AbstractConnectProtocol protocol, ReadPacketFetcher fetcher, boolean binaryProtocol)` Create Streaming resultset.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addResult(AbstractQueryResult other)`
`void` `close()` Close resultset.
`static StreamingSelectResult` `createStreamingSelectResult(long fieldCount, ReadPacketFetcher packetFetcher, AbstractQueryProtocol protocol, boolean binaryProtocol)` Create streaming resultset.
`int` `getRows()`
`ValueObject` `getValueObject(int index)` Gets the value at position i in the result set. i starts at zero.
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()`
`boolean` `isBinaryProtocol()`
`boolean` `next()` Move pointer forward.

### Methods inherited from class org.mariadb.jdbc.internal.queryresults.SelectQueryResult

`getColumnInformation, getMessage, getResultSetType, getRowPointer, getWarnings, moveRowPointerTo`

### Methods inherited from class org.mariadb.jdbc.internal.queryresults.AbstractQueryResult

`isClosed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### values

    public ValueObject[] values

### Constructor Detail

#### StreamingSelectResult

    public StreamingSelectResult(ColumnInformation[] info,
                                 AbstractConnectProtocol protocol,
                                 ReadPacketFetcher fetcher,
                                 boolean binaryProtocol)

Create Streaming resultset.

Parameters:
  `info` - column information
  `protocol` - protocol information
  `fetcher` - stream fetcher
  `binaryProtocol` - is binary protocol ?

### Method Detail

#### addResult

    public void addResult(AbstractQueryResult other)

Specified by:
  `addResult` in class `AbstractQueryResult`

#### createStreamingSelectResult

    public static StreamingSelectResult createStreamingSelectResult(long fieldCount,
                                                                    ReadPacketFetcher packetFetcher,
                                                                    AbstractQueryProtocol protocol,
                                                                    boolean binaryProtocol)
                                                             throws IOException,
                                                                    QueryException

Create streaming resultset.

Parameters:
  `fieldCount` - fieldCount
  `packetFetcher` - packetfetcher
  `protocol` - the current connection protocol class
  `binaryProtocol` - is the mysql protocol binary
Returns:
  a StreamingQueryResult
Throws:
  `IOException` - when something goes wrong while reading/writing from the server
  `QueryException` - if there is an actual active result on the current connection

#### next

    public boolean next()
                 throws IOException,
                        QueryException

Description copied from class: `SelectQueryResult`
Move pointer forward.

Specified by:
  `next` in class `SelectQueryResult`
Returns:
  true if there is another row
Throws:
  `IOException` - ioException
  `QueryException` - queryException

#### close

    public void close()

Close resultset.

Overrides:
  `close` in class `AbstractQueryResult`

#### getValueObject

    public ValueObject getValueObject(int index)
                               throws NoSuchColumnException

Gets the value at position i in the result set. i starts at zero.

Specified by:
  `getValueObject` in class `SelectQueryResult`
Parameters:
  `index` - index, starts at 0
Returns:
  the value
Throws:
  `NoSuchColumnException` - if the column does not exist

#### getRows

    public int getRows()

Specified by:
  `getRows` in class `AbstractQueryResult`

#### isBeforeFirst

    public boolean isBeforeFirst()

Specified by:
  `isBeforeFirst` in class `SelectQueryResult`

#### isAfterLast

    public boolean isAfterLast()

Specified by:
  `isAfterLast` in class `SelectQueryResult`

#### isBinaryProtocol

    public boolean isBinaryProtocol()